Package ghidra.program.model.pcode

# Class PcodeBlock.BlockEdge

java.lang.Object
ghidra.program.model.pcode.PcodeBlock.BlockEdge

Enclosing class:
  `PcodeBlock`

public static class PcodeBlock.BlockEdge extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `label`
  `PcodeBlock`
  `point`
  `int`
  `reverse_index`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlockEdge()`
  For use with restoreXml
  `BlockEdge(PcodeBlock pt, int lab, int rev)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `decode(Decoder decoder, BlockMap resolver)`
  Decode a single edge
  `void`
  `decode(Decoder decoder, ArrayList<? extends PcodeBlock> blockList)`
  `void`
  `encode(Encoder encoder)`
  Encode edge to stream assuming we already know what block we are in
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### label

    public int label

  - ### point

    public PcodeBlock point

  - ### reverse_index

    public int reverse_index

- ## Constructor Details

  - ### BlockEdge

    public BlockEdge(PcodeBlock pt, int lab, int rev)

  - ### BlockEdge

    public BlockEdge()
    For use with restoreXml

- ## Method Details

  - ### encode

    public void encode(Encoder encoder) throws IOException
    Encode edge to stream assuming we already know what block we are in
    Parameters:
      `encoder` - is the stream encoder
    Throws:
      `IOException` - for errors writing to underlying stream

  - ### decode

    public void decode(Decoder decoder, BlockMap resolver) throws DecoderException
    Decode a single edge
    Parameters:
      `decoder` - is the stream decoder
      `resolver` - used to recover PcodeBlock reference
    Throws:
      `DecoderException` - for invalid encodings

  - ### decode

    public void decode(Decoder decoder, ArrayList<? extends PcodeBlock> blockList) throws DecoderException
    Throws:
      `DecoderException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`